﻿using System;

namespace Cbdx
{
    internal class ServiceActionBind
    {
        private readonly object _serviceInstance;
        private readonly Func<string, object, object> _bindFunc;

        public object Invoke(string json)
        {
            return _bindFunc(json, _serviceInstance);
        }

        public ServiceActionBind(object serviceInstance, Func<string, object, object> bindFunc)
        {
            _serviceInstance = serviceInstance;
            _bindFunc = bindFunc;
        }
    }
}